#!/usr/bin/perl
# attempt to scan /proc/scsi/ip5526/ to add scsi devices that didn't for
# some reason.
# this really only makes sense to be ran by root.
# 
# You may need to change parts to work with your computers.
# maintainer: Mike Tilstra <tilstra@borg.umn.edu>


#load the proc file
$PROC = "/proc/scsi/ip5526/2";
#$PROC = "temp";
open(PC, $PROC) or die "can't open $PROC: $!";

$HOSTID = 0;
#Find targets
while(<PC>) {
  if(m{^Interphase.*?SCSI Host \((\d)\)}) {
    print "Host scsi id is $1\n";
    $HOSTID = $1;
  }
  if(m{^Target:\s*?\w*?/(\d)/(\d)/(\d\d\d)\s*?:(\w*)}) {
#   print "Found $4 on board $1, Bus $2, Id $3 \n";
    if($4=='DISK') {
    $s = qq{echo "scsi add-single-device $HOSTID $2 $3 0">/proc/scsi/scsi\n};
    print $s;
    system( $s );
    }
  }
}

close PC;
