/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: mount.h
**
*******************************************************************************
******************************************************************************/

#ifndef MOUNT_DOT_H
#define MOUNT_DOT_H

int gfs_make_args(char *data, gfs_args_t *args);


/*  Allow args to be passed to GFS when using an initial ram disk  */

EXTERN char *gfs_mount_args INIT(NULL);
EXTERN unsigned int gfs_mount_args_size INIT(0);
EXTERN osi_sema_t gfs_mount_args_lock;

int gfs_proc_write(struct file *file, const char *buffer,
		   unsigned long count, void *data);

#endif  /*  MOUNT_DOT_H  */
