/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: super.h
**
*******************************************************************************
******************************************************************************/

#ifndef __SUPER_LINUX_DOT_H__
#define __SUPER_LINUX_DOT_H__


/*  Kludge so device permissions and ownership are immediately changed
    across machines.  The values filled in in main.c  */

EXTERN struct inode_operations gfs_blkdev_inode_operations;
EXTERN struct inode_operations gfs_chrdev_inode_operations;


struct super_block *gfs_read_super(struct super_block *sb, void *, int);
struct super_operations gfs_sops;


#endif  /*  __SUPER_LINUX_DOT_H__  */
