/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: gfs_linux.h
**
*******************************************************************************
******************************************************************************/

#ifndef __GFS_LINUX_DOT_H__
#define __GFS_LINUX_DOT_H__


/*  Crap that only exists in Linux  */


/*  Convert a Linux superblock in to a GFS superblock.  */
#define vsb2sbd(vfs) ((gfs_sbd_t *)((vfs)->u.generic_sbp))

/*  Convert a Linux inode into a GFS inode.  */
#define vi2ino(vnode) ((gfs_inode_t *)((vnode)->u.generic_ip))

/*  Convert a Linux Dcache entry into GFS Dcache data  */
#define vdc2dcd(dentry) ((gfs_dcached_t *)((dentry)->d_fsdata))


#endif  /*  __GFS_LINUX_DOT_H__  */

