/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: bits.h
**
*******************************************************************************
******************************************************************************/

#ifndef __BITS_DOT_H__
#define __BITS_DOT_H__

#define	BFITNOENT	(0xFFFFFFFF)

void gfs_setbit(unsigned char *buffer, unsigned int buflen,
		uint32 block, unsigned char new_state);
uint32 gfs_bitfit(unsigned char *buffer, unsigned int buflen,
		  uint32 goal, unsigned char old_state);
uint32 gfs_bitcount(unsigned char *buffer, unsigned int buflen,
		    unsigned char state);

#endif  /*  __BITS_DOT_H__  */

