/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth Preslan <kpreslan@sistina.com>
** 
**    Module name:  bmap.h
**
*******************************************************************************
******************************************************************************/

#ifndef __BMAP_DOT_H__
#define __BMAP_DOT_H__

int gfs_unstuff_dinode(gfs_inode_t *ip);
unsigned int gfs_calc_tree_height(gfs_inode_t *ip, uint64 size);
int gfs_inode_get_block(gfs_inode_t *ip,
			uint64 blknum,
			int *new, uint64 *block);

int gfs_shrink(gfs_inode_t *ip, uint64 size);
int gfs_truncate(gfs_inode_t *ip, uint64 size, osi_cred_t *cred);

#endif  /*  __BMAP_DOT_H__  */
