/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: fs.h
**
*******************************************************************************
******************************************************************************/

#ifndef __FS_DOT_H__
#define __FS_DOT_H__

EXTERN uint32 gfs_random_number;

uint32 gfs_random(void);
uint32 gfs_randrange(uint32 low, uint32 high);

uint32 gfs_hash(const char *name, int len);

int gfs_sort(void *base, unsigned int num_elem, unsigned int size, int (*compar)(const void *, const void *));

#endif  /*  __FS_DOT_H__  */
