/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: 
**      recovery.h
**
**    Description:
**      Recovery functions
**
*******************************************************************************
******************************************************************************/

#ifndef __RECOVERY_DOT_H__
#define __RECOVERY_DOT_H__

int gfs_find_jhead(gfs_sbd_t *sdp, gfs_jindex_t *jdesc, gfs_log_header_t *head);

int gfs_recover_journal(gfs_sbd_t *sdp, unsigned int jid);
int gfs_check_journals(gfs_sbd_t *sdp);

int gfs_recover_nopen(gfs_sbd_t *sdp, gfs_log_header_t *head);

#endif  /*  __RECOVERY_DOT_H__  */

