/******************************************************************************
 *
 *    Copyright 2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Mike C Tilstra <conrad@sistina.com>
 *
 * All data structures and function params are in host byte order.
 * The contents of the buffers are opaque to this code. (so are the bids
 * for that matter.)
 */

#ifndef __demp_tcp_h__
#define __demp_tcp_h__

#include "memexp.h"
#include "ll_memexp.h"

extern struct ll_memexp_ops ll_dmep_tcp_ops;


/* my cheezy macros. */

#ifndef printe
#define printe(fmt, args...) osi_printf(KERN_ERR "dmep_tcp: " fmt, ## args)
#endif
#ifndef printi
#define printi(fmt, args...) osi_printf("dmep_tcp: " fmt, ## args)
#endif
#ifndef printdd
#define printdd(fmt, args...)
#endif

#endif /*__demp_tcp_h__*/
