/******************************************************************************
 *
 *    Copyright 2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Mike C Tilstra <conrad@sistina.com>
 *
 */
#ifndef __info_stream_H__
#define __info_stream_H__

struct infost_s {
   u32 pbn;
   u8  bid[BIDSIZE];
};

int connect_info_stream(MEtable_t *met, char *s);
void dissconnect_info_stream(MEtable_t *met);
void send_info_packet(MEtable_t *met, u32 pbn, u8 bid[BIDSIZE]);


#endif /*__info_stream_H__*/
