/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Michael Tilstra <conrad@sistina.com>
** 
**    Module name: 
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef __arglists_h__
#define __arglists_h__

typedef struct keypair {
   char *key;
   char *value;
   struct keypair *next;
} keyList;

typedef struct stomith_s{
   char *name;
   keyList *params;
   struct stomith_s *next;
} stmNode;

typedef struct ndeNode_s {
   unsigned int IP;
   unsigned int cid;
   keyList *stms;
   struct ndeNode_s *next;
} nodeNode;

typedef struct rootNode_s { 
   char *datadev;
   char *cidev;
   char *lockdev;
   char *ccnm;
   unsigned short port;
   unsigned int timeout;
   
   stmNode *stomiths;
   nodeNode *nodes;
} rootNode;

#endif /*__arglists_h__*/
