/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: stomith_specific.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef STOMITH_SPECIFIC_DOT_H
#define STOMITH_SPECIFIC_DOT_H


#define PRINT_STOMITH_ALL      (0)
#define PRINT_STOMITH_GENERAL  (1)
#define PRINT_STOMITH_SPECIFIC (2)


int add_stomith_specific(stomith_list_t *st, keypair_t *list);
int addparam_stomith_specific(node_list_t *node, stomith_list_t *st, char *value);
void print_stomith_specific(stomith_list_t *st, int flags);

#endif  /*  STOMITH_SPECIFIC_DOT_H  */
