/******************************************************************************
*******************************************************************************
**
**    Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
*******************************************************************************
******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>



int main(int argc, char *argv[])
{
  if (argc != 3)
  {
    fputs("trunc filename size\n", stderr);
    exit(EXIT_FAILURE);
  }

  if (truncate(argv[1], atol(argv[2])) < 0)
  {
    fputs("trunc:  bad truncate()\n", stderr);
    exit(EXIT_FAILURE);
  }

  exit(EXIT_SUCCESS);
}



