/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.  <kpreslan@sistina.com>
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: scsi_lib.h
**
*******************************************************************************
******************************************************************************/

#ifndef SCSI_LIB_DOT_H
#define SCSI_LIB_DOT_H

int scsi_open(char *device);
int scsi_close(int fd);
int scsi_cmd(int fd,
	     unsigned int cmd_size, unsigned char *cmd_buff,
	     unsigned int out_size, unsigned char *out_buff,
	     unsigned int in_size, unsigned char *in_buff,
	     unsigned int sense_size, unsigned char *sense_buff,
	     unsigned int tag, int quiet);

#endif  /*  SCSI_LIB_DOT_H  */
