#!/bin/bash

#
# A little script I cooked up for when I update the kernel patches.
# Probably not a lot of use to anyone else, but its easier for me
# to keep it with the rest of the GFS code.
#

OLD=linux-2.4.2
NEW=linux

FILE=include/linux/sched.h
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > task.patch

FILE=mm/filemap.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > rollback.patch

FILE=include/linux/mm.h
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > ksyms.patch

FILE=fs/namei.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} >> ksyms.patch

FILE=kernel/ksyms.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} >> ksyms.patch

FILE=fs/buffer.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > bufcache.patch

FILE=include/linux/fs.h
diff -u ${OLD}/${FILE} ${NEW}/${FILE} >> bufcache.patch

FILE=drivers/block/ll_rw_blk.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} >> bufcache.patch

FILE=fs/nfsd/nfsfh.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > nfs.patch

FILE=include/linux/genhd.h
diff -u ${OLD}/${FILE} ${NEW}/${FILE} > pool_name.patch

FILE=fs/partitions/check.c
diff -u ${OLD}/${FILE} ${NEW}/${FILE} >> pool_name.patch

exit 0
 
