/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: inode.h
**
*******************************************************************************
******************************************************************************/

#ifndef __INODE_LINUX_DOT_H__
#define __INODE_LINUX_DOT_H__

struct inode_operations gfs_file_iops;
struct inode_operations gfs_dir_iops;
struct inode_operations gfs_symlink_iops;
struct inode_operations gfs_dev_iops;
struct address_space_operations gfs_file_aops;

void gfs_inode_attr_out(gfs_inode_t *ip);
int gfs_irevalidate(struct dentry *dentry);

struct inode *gfs_iget(struct super_block *sb, gfs_inode_t *ip);

#endif  /*  __INODE_LINUX_DOT_H__  */

