/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: main.c
**
*******************************************************************************
******************************************************************************/

#define EXTERN
#define WANT_DEBUG_NAMES
#include "gfs.h"


#include "blklist.h"
#include "bmap.h"
#include "dcache.h"
#include "dio.h"
#include "fs.h"





gfs_glock_t *gfs_alloc_glock(void)
{
  return NULL;
}

void gfs_free_glock(gfs_glock_t *gl)
{
}

gfs_inode_t *gfs_alloc_inode(void)
{
  return malloc(sizeof(gfs_inode_t));
}

void gfs_free_inode(gfs_inode_t *ip)
{
  free(ip);
}

gfs_bufdata_t *gfs_alloc_bufdata(void)
{
  return NULL;
}

void gfs_free_bufdata(gfs_bufdata_t *bd)
{
}

gfs_rgrpd_t *gfs_alloc_rgrpd(void)
{
  return malloc(sizeof(gfs_rgrpd_t));
}

void gfs_free_rgrpd(gfs_rgrpd_t *rgd)
{
  free(rgd);
}



/**
 * init_gfs_fs - Register GFS as a filesystem
 *
 * Returns: 0 on success, error code on failure
 */

int init_gfs_fs(void)
{
  return 0;
}
