/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2000-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Mike Tilstra <tilstra@borg.umn.edu>
** 
**    Module name: flock.h
**
*******************************************************************************
******************************************************************************/

#ifndef __FLOCK_DOT_H__
#define __FLOCK_DOT_H__

#define FLOCK_EX (1)
#define FLOCK_SH (2)

int gfs_flock(gfs_inode_t *ip, int type, int wait, long owner);
void gfs_funlock(gfs_inode_t *ip, long owner);

#endif  /*  __FLOCK_DOT_H__  */
