/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: ioctl.h
**
*******************************************************************************
******************************************************************************/

#ifndef __IOCTL_DOT_H__
#define __IOCTL_DOT_H__

int gfs_debug_change(unsigned int cmd, void *arg);
int gfs_debug_dump(void *arg);

void gfs_print_frag(gfs_inode_t *ip);

int gfs_prof_dump(void *arg);

int gfs_get_super(gfs_sbd_t *sdp, void *arg);
int gfs_jread_ioctl(gfs_inode_t *ip, void *arg);
int gfs_jwrite_ioctl(gfs_inode_t *ip, void *arg);

int gfs_stat_gfs_ioctl(gfs_sbd_t *sdp, void *arg);

#endif  /*  __IOCTL_DOT_H__  */

