/******************************************************************************
*
*    Copyright 1999 Regents of the University of Minnesota
*    Portions Copyright 1999-2001 Sistina Software, Inc.
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Benjamin E Marzinski <marzinski@sistina.com>
* 
* header for those misc funtions.
* */
#ifndef __dlip_misc_h__
#define __dlip_misc_h__

#include <linux/kernel.h>
#include <asm/types.h>
#include <linux/string.h>
#include <limits.h>

char *be32_to_ascii(char *ascii, u32 num);
int get_ip_port(char *ascii, u32 *ipnum, u16 *ptnum);
int ginet_aton(char *ascii, u32 *number);
int gatoi(char *c);
unsigned int gstrtou(char *c, char **tailptr);

#endif /*__dlip_misc_h__*/


