/*  kgnbdsrv.c  */

#define CLEANUP_MODULE                 (0)
#define CLEANUP_SERVER                 (1)
#define INIT_MODULE                    (2)
#define INIT_SERVER                    (3)
#define KGNBD_PORTD                    (4)
#define KGNBD_PROC_READ                (5)
#define KGNBD_PROC_WRITE               (6)
#define KNBD_ACCEPT                    (7)
#define SERV                           (8)
#define SERV_CLIENT                    (9)
#define XMIT                           (10)





#ifndef HELPER_PROGRAM


#define DEBUG_FLAGS (11)
#define DEBUG_FLAG_BYTES (2)

#ifdef WANT_DEBUG_NAMES
const char *kgnbd_debug_flag_names[] =
{
  "cleanup_module",
  "cleanup_server",
  "init_module",
  "init_server",
  "kgnbd_portd",
  "kgnbd_proc_read",
  "kgnbd_proc_write",
  "knbd_accept",
  "serv",
  "serv_client",
  "xmit",
  ""
};
#else  /*  WANT_DEBUG_NAMES  */
extern const char *kgnbd_debug_flag_names[];
#endif  /*  WANT_DEBUG_NAMES  */


#else  /*  HELPER_PROGRAM  */


const unsigned int kgnbd_DEBUGFUNC0[] = {CLEANUP_MODULE};
const unsigned int kgnbd_DEBUGFUNC1[] = {CLEANUP_SERVER};
const unsigned int kgnbd_DEBUGFUNC2[] = {INIT_MODULE};
const unsigned int kgnbd_DEBUGFUNC3[] = {INIT_SERVER};
const unsigned int kgnbd_DEBUGFUNC4[] = {KGNBD_PORTD};
const unsigned int kgnbd_DEBUGFUNC5[] = {KGNBD_PROC_READ};
const unsigned int kgnbd_DEBUGFUNC6[] = {KGNBD_PROC_WRITE};
const unsigned int kgnbd_DEBUGFUNC7[] = {KNBD_ACCEPT};
const unsigned int kgnbd_DEBUGFUNC8[] = {SERV};
const unsigned int kgnbd_DEBUGFUNC9[] = {SERV_CLIENT};
const unsigned int kgnbd_DEBUGFUNC10[] = {XMIT};


const unsigned int kgnbd_DEBUGFILE0[] = {CLEANUP_MODULE, CLEANUP_SERVER, INIT_MODULE, INIT_SERVER, KGNBD_PORTD, KGNBD_PROC_READ, KGNBD_PROC_WRITE, KNBD_ACCEPT, SERV, SERV_CLIENT, XMIT};


const unsigned int kgnbd_DEBUGFUNCALL[] = {CLEANUP_MODULE, CLEANUP_SERVER, INIT_MODULE, INIT_SERVER, KGNBD_PORTD, KGNBD_PROC_READ, KGNBD_PROC_WRITE, KNBD_ACCEPT, SERV, SERV_CLIENT, XMIT};


const debug_flag_t kgnbd_debug_flags[] =
{
  {"cleanup_module", 1, kgnbd_DEBUGFUNC0},
  {"cleanup_server", 1, kgnbd_DEBUGFUNC1},
  {"init_module", 1, kgnbd_DEBUGFUNC2},
  {"init_server", 1, kgnbd_DEBUGFUNC3},
  {"kgnbd_portd", 1, kgnbd_DEBUGFUNC4},
  {"kgnbd_proc_read", 1, kgnbd_DEBUGFUNC5},
  {"kgnbd_proc_write", 1, kgnbd_DEBUGFUNC6},
  {"knbd_accept", 1, kgnbd_DEBUGFUNC7},
  {"serv", 1, kgnbd_DEBUGFUNC8},
  {"serv_client", 1, kgnbd_DEBUGFUNC9},
  {"xmit", 1, kgnbd_DEBUGFUNC10},
  {"kgnbdsrv.c", 11, kgnbd_DEBUGFILE0},
  {"all", 11, kgnbd_DEBUGFUNCALL},
  {"", 0, NULL}
};


#endif  /*  HELPER_PROGRAM  */

