/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland <teigland@sistina.com>
**
**    Module name: client_state.h
**
*******************************************************************************
******************************************************************************/

#ifndef CLIENT_STATE_DOT_H
#define CLIENT_STATE_DOT_H

cidbuf_t *cidbuf_in(unsigned char *buf);
unsigned char *cidbuf_out(unsigned char *buf);
int stomith_cid(memexp_t *mep, uint16 excid);
int check_expired_clients(memexp_t *mep);
int reread_client_state(memexp_t *mep);
void client_refresh(memexp_t *mep);
int client_state_init(memexp_t *mep);
void client_state_relse(memexp_t *mep);
int client_alive(memexp_t *mep, uint16 cid);

void memexp_reset_exp(lm_lockspace_t *lockspace, unsigned int jid);

#endif
