/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland <teigland@sistina.com>
** 
**    Module name: lvbops.h
**
*******************************************************************************
******************************************************************************/

#ifndef LVBOPS_DOT_H
#define LVBOPS_DOT_H

lm_lvb_t *memexp_hold_lvb(lm_lock_t *lk);
void memexp_unhold_lvb(lm_lock_t *lk, lm_lvb_t *lvb);
void memexp_sync_lvb(lm_lock_t *lk, lm_lvb_t *lvb);
int lvb_read(me_lock_t *mlk);
int lvb_write(me_lock_t *mlk);
void lock2lvb(lm_lockname_t *lockname, lm_lockname_t *lvbname);

#endif  /*  LVBOPS_DOT_H  */
