/******************************************************************************
 *
 *    Copyright 2001 Sistina Software, Inc.
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    This file is maintained by:
 *      Michael C Tilstra <conrad@sistina.com>
 *
 */
#ifndef __memexp_DISK_H__
#define __memexp_DISK_H__

#include "memexp.h"

int load_MelDisk(char *name, MEtable_t *met);
void write_elem(MEtable_t *met, u32 pbn);
void write_CHold(MEtable_t *met, u32 pbn, int clid);
void clear_CHold(MEtable_t *met, int clid);
void write_ct(MEtable_t *met, u32 ip, u8 flags, int i);
#endif /*__memexp_DISK_H__*/
