/******************************************************************************
*******************************************************************************
**
**    Copyright 2000-2001 Sistina Software Inc
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Jonathan Brassow <brassow@sistina.com>
** 
**    Module name: common.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef __COMMON_H__
#define __COMMON_H__
int uadd_pool(pool_add_t *add);
int kadd_pool(pool_add_t *add);
int remove_pool(uint32 dev);
int ugrow_pool(pool_add_t *add);
int kgrow_pool(pool_add_t *add);
int assemble_pools(char *poolname);
int count_pool(int *);
unsigned long gencopy(void *to, void *from, unsigned long size);


int free_pool(pool_t *pool);
int list_pool(pool_list_t *list);
int list_spool(pool_t *pp, pool_splist_t *param);
int list_pooldevs(pool_t *pp, pool_devlist_t *param);
int pool_blkmap(pool_t *pp, uint64 psector, uint32 pbcount, 
		uint64 *dev_sector, uint32 *dev_bcount, device_t **out_dev);
int open_devices(pool_t *pp, int beginning);
int close_devices(pool_t *pp);

#endif /* __COMMON_H__ */


