/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portion Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: pass0.h  (gfsck)
**
**    Description:
**      Filesystem checker
**
*******************************************************************************
******************************************************************************/

#ifndef __PASS0_H__
#define __PASS0_H__

int gfsck_mount(gfs_sbd_t *sdp);
int gfsck_jindex(gfs_sbd_t *sdp);
int gfsck_rindex(gfs_sbd_t *sdp);
int gfsck_root(gfs_sbd_t *sdp);
int gfsck_block_ranges(gfs_sbd_t *sdp);

#endif /* __PASS0_H__ */
