/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-2000 Regents of the University of Minnesota
**    Portion Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: recover.h  (gfsck)
**
**    Description:
**      Filesystem checker
**
*******************************************************************************
******************************************************************************/

#ifndef __RECOVER_H__
#define __RECOVER_H__


int recover_sb(gfs_sbd_t *sdp);
int recover_jindex(gfs_sbd_t *sdp);
int recover_rindex(gfs_sbd_t *sdp);
int recover_root(gfs_sbd_t *sdp);
int fix_dinode(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd, gfs_dinode_t *di);
int write_bitmaps(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd);
int write_rgrp(gfs_sbd_t *sdp, gfs_rgrpd_t *rgd);
int recover_indeces(gfs_sbd_t *sdp);

#endif  /*  __RECOVER_H__  */
