/******************************************************************************
*******************************************************************************
**
**    Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@sistina.com>
**
**    Module name: interface.h
**
**    Description:
**
*******************************************************************************
******************************************************************************/

#ifndef INTERFACE_DOT_H
#define INTERFACE_DOT_H

#include "arglists.h"

typedef keyList keypair_t;


int parser_init(param_t *params, char *filename);
int parser_next_stomith(char **name, keypair_t **values);
int parser_next_node(uint32 *ipaddr, uint32 *cid, keypair_t **methods);


#endif  /*  INTERFACE_DOT_H  */
