/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: fs_geometry.h
**
**    Description:
**	Functions that compute the rgrp/journal geometry
**
*******************************************************************************
******************************************************************************/

#ifndef __FS_GEOMETRY_DOT_H__
#define __FS_GEOMETRY_DOT_H__

rgrp_list_t *compute_rgrp_layout(commandline_t *comline, pool_splist_t *splist);
journal_list_t *compute_journal_layout(commandline_t *comline, pool_splist_t *splist);

#endif  /*  __FS_GEOMETRY_DOT_H__  */
