/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: pool_geometry.c
**
**    Description:
**	Functions that find out about the underlying device
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_GEOMETRY_DOT_H__
#define __POOL_GEOMETRY_DOT_H__

int get_pool_geometry(commandline_t *comline, pool_splist_t *splist);
void fake_pool_geometry(commandline_t *comline, pool_splist_t *splist);
void fix_pool_geometry(commandline_t *comline, pool_splist_t *splist);

#endif  /*  __POOL_GEOMETRY_DOT_H__  */
