/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**    Portions Copyright 1999-2001 Sistina Software, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@sistina.com>
** 
**    Module name: structures.h
**
**    Description:
**	Functions that write out data to the disk
**
*******************************************************************************
******************************************************************************/

#ifndef __STRUCTURES_DOT_H__
#define __STRUCTURES_DOT_H__

void write_sb(commandline_t *comline, pool_splist_t *splist, rgrp_list_t *rlist);
void write_jindex(commandline_t *comline, journal_list_t *jlist);
void write_rindex(commandline_t *comline, rgrp_list_t *rlist);
void write_root(commandline_t *comline);
void write_rgrps(commandline_t *comline, rgrp_list_t *rlist);
void write_journals(commandline_t *comline, journal_list_t *jlist);

#endif  /*  __STRUCTURES_DOT_H__  */
